var path = require('path');

module.exports = {
  cache: true,
  devtool: 'cheap-module-source-map',
  module: {
    loaders: [
      {
        test: /\.(jsx|es6)$/,
        loader: 'babel-loader'
      },
      {
        test: /\.less$/,
        loader: 'style!css!less'
      }
    ]
  },
  entry: {
    'react-tabbar-example': './src/javascript/react-tabbar-example.jsx'
  },
  output: {
    path: path.join(__dirname, 'dist', 'javascript'),
    filename: '[name].js'
  },
  resolve: {
    root: process.cwd(),
    moduleDirectories: ['node_modules', 'src/javascript']
  }
};
